Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 211179 - rfcomm suspend oops fixup
Summary: rfcomm suspend oops fixup
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2008-02-23 16:09 UTC by Alon Bar-Lev
Modified: 2008-04-17 04:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
rfcomm-suspend.patch (rfcomm-suspend.patch,7.84 KB, patch)
2008-02-23 16:10 UTC, Alon Bar-Lev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alon Bar-Lev gentoo-dev 2008-02-23 16:09:59 UTC
I have this issue since forever... Now at last it was fixed.
Please consider to add to genpatches.
Thanks!
Comment 1 Alon Bar-Lev gentoo-dev 2008-02-23 16:10:45 UTC
Created attachment 144416 [details, diff]
rfcomm-suspend.patch
Comment 2 Mike Pagano gentoo-dev 2008-02-23 16:28:38 UTC
When this makes the mainline kernel we can start the process for backporting via genpatches.
Comment 3 Alon Bar-Lev gentoo-dev 2008-02-23 16:31:47 UTC
It is in mm... shouldn't it be enough for oops?
If it gets into the mainline, there is no much place for genpatches, isn't there?
Feel free to close this... I got my solution working.
Comment 4 Mike Pagano gentoo-dev 2008-02-23 16:38:05 UTC
Yes, there would be a place as it would be for backporting from the mainline into currently support gentoo-sources kernels. 

Our policy is to try to stick to only applying patches from the upstream Linux development branch.

http://dev.gentoo.org/~dsd/genpatches/about.htm

Feel free to reopen this if you're interested in testing this patch for backporting. Or to take it up with the kernel lead. If he thinks it should go directly into genpatches right now, he can make that decision.

Comment 5 Daniel Drake (RETIRED) gentoo-dev 2008-02-24 22:57:50 UTC
Looks simple enough and the patch is well documented: this is likely to make it into mainline soon. Reopening so we can keep an eye on it; if it doesn't make it soon we should send andrew a reminder email to get it in for 2.6.25
Comment 6 Alon Bar-Lev gentoo-dev 2008-03-07 07:27:56 UTC
- bluetooth-hci_core-defer-hci_unregister_sysfs. patch removed from -mm tree   Inbox linux-kernel me

 The patch titled
     bluetooth: hci_core: defer hci_unregister_sysfs()
 has been removed from the -mm tree.  Its filename was
     bluetooth-hci_core-defer-hci_unregister_sysfs.patch
 
 This patch was dropped because it was merged into mainline or a subsystem tree
 
 The current -mm tree may be found at http://userweb.kernel.org/~akpm/mmotm/
 
Comment 7 Daniel Drake (RETIRED) gentoo-dev 2008-03-07 12:20:09 UTC
can't see which mainline or subsystem tree this has been merged into, will keep my eyes open though
Comment 8 Daniel Drake (RETIRED) gentoo-dev 2008-03-07 14:30:26 UTC
found it in net-2.6
Comment 9 Daniel Drake (RETIRED) gentoo-dev 2008-03-30 09:19:26 UTC
Fixed in gentoo-sources-2.6.24-r4 (genpatches-2.6.24-5), thanks for providing the patch
Comment 10 Alon Bar-Lev gentoo-dev 2008-04-17 04:56:37 UTC
This is a note to let you know that we have just queued up the patch titled
 
     Subject: bluetooth: hci_core: defer hci_unregister_sysfs()
 
 to the 2.6.24-stable tree.  Its filename is
 
     bluetooth-hci_core-defer-hci_unregister_sysfs.patch
 
 A git repo of this tree can be found at
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary